complexType "ReturnSwapAdditionalPayment"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, additionalPaymentAmount?, additionalPaymentDate?, paymentType?
</...>

Content Model Elements (7):

  additionalPaymentAmount,
  additionalPaymentDate,
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  paymentType (in additionalPayment defined in ReturnSwapBase complexType),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group)

All Direct / Indirect Based Elements (1):

  additionalPayment (defined in ReturnSwapBase complexType)

Known Usage Locations

- As direct type of elements (1):
  additionalPayment (defined in ReturnSwapBase complexType)

Annotation
A type describing the additional payment(s) between the principal parties to the trade. This component extends some of the features of the additionalPayment component previously developed in FpML. Appropriate discussions will determine whether it would be appropriate to extend the shared component in order to meet the further requirements of equity swaps.
Type Definition Detail

Type Derivation Tree PaymentBase (extension) ReturnSwapAdditionalPayment

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ReturnSwapAdditionalPayment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="additionalPaymentAmount" type="AdditionalPaymentAmount"/> <xsd:element minOccurs="0" name="additionalPaymentDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="paymentType" type="PaymentType"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/7)
additionalPaymentAmount

  Type: | AdditionalPaymentAmount, complex content

  Specifies the amount of the fee along with, when applicable, the formula that supports its determination.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="additionalPaymentAmount" type="AdditionalPaymentAmount"/>

additionalPaymentDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the value date of the fee payment/receipt.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="additionalPaymentDate" type="AdjustableOrRelativeDate"/>

paymentType

  Type: | PaymentType, simple content

  Classification of the payment.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentType" type="PaymentType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.